--- a/src/gcc/config/pa/pa-linux.h
+++ b/src/gcc/config/pa/pa-linux.h
@@ -148,8 +148,7 @@ along with GCC; see the file COPYING3.
 #define HAVE_sync_compare_and_swapsi 1
 #define HAVE_sync_compare_and_swapdi 1
 
-/* It's not possible to enable GNU_stack notes since the kernel needs
-   an executable stack for signal returns and syscall restarts.  */
+/* Enable execute stack.  */
 
 #undef NEED_INDICATE_EXEC_STACK
-#define NEED_INDICATE_EXEC_STACK 0
+#define NEED_INDICATE_EXEC_STACK 1
